module Main where

import Acme.HeroClub.FiveTenets

import Data.Maybe (fromMaybe)
import System.Environment (getArgs, getEnv)
import Data.List (isInfixOf)

putFiveTenetsJa = putFiveTenetsIn Japan
putFiveTenetsEn = putFiveTenetsIn English

dispatch :: [(String, IO ())]
dispatch = [("english", putFiveTenetsEn), ("japan", putFiveTenetsJa)]

putTenetsWithEnv = do
    lang <- getEnv "LANG"
    let ja =  "ja_JP" `isInfixOf` lang
    if ja
      then putFiveTenetsJa
      else putTenetsWithEnv

head' (x:xs) = x
head' _      = ""

main :: IO ()
main = do
    lang <- getArgs
    fromMaybe putTenetsWithEnv (lookup (head' lang) dispatch)

